summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
m---------contrib/gana0
-rwxr-xr-xcontrib/gana-update.sh54
-rw-r--r--contrib/microhttpd.tag24
-rw-r--r--contrib/pp/README2
-rw-r--r--contrib/tos/README2
-rw-r--r--contrib/uncrustify.cfg2
6 files changed, 54 insertions, 30 deletions
diff --git a/contrib/gana b/contrib/gana
-Subproject b7320181c5e0d95c6f2e2a9e5c53dce0bc1a35a
+Subproject 99d8d9e0336bacebab5af4ae00c3f685ffd90f6
diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index 8fcf1885..db122b9a 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -3,32 +3,32 @@
# Run from exchange/ main directory.
set -eu
-# Generate taler-error-codes.h in gana and copy it to
-# src/include/taler_error_codes.h
-cd contrib/gana/gnu-taler-error-codes
-make
-cd ../../..
-for n in taler_error_codes.c
-do
- if ! diff contrib/gana/gnu-taler-error-codes/${n} src/util/${n} > /dev/null
- then
- cp contrib/gana/gnu-taler-error-codes/$n src/util/$n
- fi
-done
-for n in taler_error_codes.h
-do
- if ! diff contrib/gana/gnu-taler-error-codes/${n} src/include/${n} > /dev/null
- then
- cp contrib/gana/gnu-taler-error-codes/$n src/include/$n
- fi
-done
-cd contrib/gana/gnu-taler-db-events
-make
-cd ../../..
-for n in taler_dbevents.h
-do
- if ! diff contrib/gana/gnu-taler-db-events/${n} src/include/${n} > /dev/null
+domake ()
+{
+ # $1 -- dir under contrib/gana/
+ dir="contrib/gana/$1"
+
+ make -C $dir
+}
+
+ensure ()
+{
+ # $1 -- filename
+ # $2 -- src dir under contrib/gana/
+ # $3 -- dst dir under ./
+ fn="$1"
+ src="contrib/gana/$2"
+ dst="./$3"
+
+ if ! diff $src/$fn $dst/$fn > /dev/null
then
- cp contrib/gana/gnu-taler-db-events/$n src/include/$n
+ cp $src/$fn $dst/$fn
fi
-done
+}
+
+domake gnu-taler-error-codes
+ensure taler_error_codes.c gnu-taler-error-codes src/util
+ensure taler_error_codes.h gnu-taler-error-codes src/include
+
+domake gnu-taler-db-events
+ensure taler_dbevents.h gnu-taler-db-events src/include
diff --git a/contrib/microhttpd.tag b/contrib/microhttpd.tag
index 831e1c4e..01872369 100644
--- a/contrib/microhttpd.tag
+++ b/contrib/microhttpd.tag
@@ -172,6 +172,30 @@
<anchorfile>microhttpd.h</anchorfile>
<arglist></arglist>
</member>
+ <member kind="define">
+ <type>#define</type>
+ <name>MHD_HTTP_METHOD_GET</name>
+ <anchorfile>microhttpd.h</anchorfile>
+ <arglist></arglist>
+ </member>
+ <member kind="define">
+ <type>#define</type>
+ <name>MHD_HTTP_METHOD_POST</name>
+ <anchorfile>microhttpd.h</anchorfile>
+ <arglist></arglist>
+ </member>
+ <member kind="define">
+ <type>#define</type>
+ <name>MHD_HTTP_METHOD_PUT</name>
+ <anchorfile>microhttpd.h</anchorfile>
+ <arglist></arglist>
+ </member>
+ <member kind="define">
+ <type>#define</type>
+ <name>MHD_HTTP_METHOD_DELETE</name>
+ <anchorfile>microhttpd.h</anchorfile>
+ <arglist></arglist>
+ </member>
<member kind="typedef">
<type>int</type>
<name>MHD_AccessHandlerCallback</name>
diff --git a/contrib/pp/README b/contrib/pp/README
index e03b8a05..17a17c58 100644
--- a/contrib/pp/README
+++ b/contrib/pp/README
@@ -9,7 +9,7 @@ Generating a new Privacy Policy requires Sphinx, LaTeX with babel
packages for all supported languages. On Debian, you should
at least install:
-$ apt install python3-sphinx sphinx-intl texlive-lang-german texlive-lang-english
+$ apt install python3-sphinx sphinx-intl texlive-lang-german texlive-lang-english latexmk texlive-latex-recommended texlive-latex-extra
(NOTE: List may be incomplete.)
diff --git a/contrib/tos/README b/contrib/tos/README
index fde5305b..dd78024c 100644
--- a/contrib/tos/README
+++ b/contrib/tos/README
@@ -9,7 +9,7 @@ Generating new Terms of Service requires Sphinx, LaTeX with babel
packages for all supported languages. On Debian, you should
at least install:
-$ apt install python3-sphinx sphinx-intl texlive-lang-german texlive-lang-english
+$ apt install python3-sphinx sphinx-intl texlive-lang-german texlive-lang-english latexmk texlive-latex-recommended texlive-latex-extra
(NOTE: List may be incomplete.)
diff --git a/contrib/uncrustify.cfg b/contrib/uncrustify.cfg
index 8c9df2c4..af2d8e69 100644
--- a/contrib/uncrustify.cfg
+++ b/contrib/uncrustify.cfg
@@ -28,7 +28,7 @@ ls_code_width=true
pos_arith=lead
# Fully parenthesize boolean exprs
-mod_full_paren_if_bool=true
+mod_full_paren_if_bool=false
# Braces should be on their own line
nl_fdef_brace=add